import 'package:flutter/material.dart';
import 'package:apex_flutter_sdk/apex_flutter_sdk.dart';
import 'trustcolorcalculator.dart';

class UserNode extends StatelessWidget {
  final List<Widget> communities = [];
  final Map<String, dynamic> trustScores;
  UserNode(this.trustScores);

  Widget build(BuildContext context) {
    trustScores.forEach((community, trust) {
      communities.add(Row(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: [
          Text(
            community,
            textAlign: TextAlign.left,
            style: TextStyle(color: Colors.black),
          ),
          Text((trust * 100).toString() + "%",
              textAlign: TextAlign.right,
              style: TextStyle(
                color: TrustColorCalculator.calculateTrustColor(trust),
                fontWeight: FontWeight.bold,
              )),
        ],
      ));
    });

    return HoverTooltip(
      child: CircleAvatar(
        backgroundImage: AssetImage("assets/user.png"),
        radius: 30,
      ),
      tooltip: UserTooltip(this.communities),
    );
  }
}

class UserTooltip extends StatelessWidget {
  UserTooltip(this.communities);
  final List<Widget> communities;
  Widget build(BuildContext context) {
    return Container(
        padding: EdgeInsets.fromLTRB(12, 8, 12, 8),
        width: 300,
        decoration: BoxDecoration(
          borderRadius: BorderRadius.circular(4),
          boxShadow: [
            BoxShadow(color: Colors.grey[100] ?? Colors.grey, spreadRadius: 1)
          ],
        ),
        child: Column(
          children: communities,
        ));
  }
}
