import 'package:flutter/material.dart';
import 'package:flutter_spinkit/flutter_spinkit.dart';

class LoadingScreen extends StatelessWidget {
  final String message;

  LoadingScreen({this.message = "Loading..."});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Center(
        child: Column(
          mainAxisSize: MainAxisSize.min,
          children: [
            SpinKitRotatingCircle(
              color: Theme.of(context).primaryColor,
              size: 150.0,
            ),
            SizedBox(height: 16),
            Text(message),
          ],
        ),
      ),
    );
  }
}
