import 'package:dashboard/exceptions/login_exception.dart';
import 'package:dashboard/graphing/communitygraph.dart';
import 'package:dashboard/loading.dart';
import 'package:dashboard/ui/sign_in/loginpage.dart';
import 'package:dashboard/util/loginhelper.dart';
import 'package:dashboard/util/user.dart';
import 'package:enhanced_future_builder/enhanced_future_builder.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  Future<BackendUser> _checkLoginStuff() async {
    await Future.delayed(Duration(milliseconds: 500));

    try {
      return await LoginHelper().loggedInUser;
    } on LoginException {
      return null;
    }
  }

  @override
  Widget build(BuildContext context) => MaterialApp(
        home: EnhancedFutureBuilder<BackendUser>(
          future: _checkLoginStuff(),
          whenNotDone: LoadingScreen(),
          rememberFutureResult: false,
          whenDone: (BackendUser snapshotData) {
            if (snapshotData == null) return LoginPage();
            return CommunityGraphViewPage("worldnews");
          },
        ),
      );
}
