import 'package:dashboard/main.dart';
import 'package:dashboard/util/loginhelper.dart';
import 'package:flutter/material.dart';

class LoggedInAppBar extends PreferredSize {
  @override
  Size get preferredSize => Size.fromHeight(60);

  Future<void> _onLogout(context) async {
    await LoginHelper().logout();
    Navigator.of(context).pushReplacement(
      MaterialPageRoute(
        builder: (context) => MyApp(),
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return AppBar(
      backgroundColor: Colors.blue,
      actions: [
        Padding(
          padding: const EdgeInsets.all(8.0),
          child: TextButton.icon(
            onPressed: () => _onLogout(context),
            icon: Icon(
              Icons.logout,
              color: Colors.white,
              size: 25,
            ),
            label: Text(
              "Logout",
              style: TextStyle(
                color: Colors.white,
                fontSize: 20,
              ),
            ),
          ),
        ),
      ],
    );
  }
}
